using PARR.Core.Repositories.Interfaces;
using PARR.DAL.Context;
using PARR.Domain.Entities;

namespace PARR.DAL.Repositories
{
    internal class ParrComponentRepository : IParrComponentRepository
    {
        private readonly DataContext dataContext;

        public ParrComponentRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<ParrComponent> Get()
        {
            return dataContext.ParrComponents;
        }
    }
}
